Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007421TestLinkReports - Test Report on Buildpublic2016-01-22 16:302016-09-01 13:03
Reporterhmah 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformWidowsOSWidowsOS VersionWidows 7
Product Version1.9.14 (2015 Q3) 
Fixed in Version 
Summary0007421: unable to get build description and custom field in test report on build
DescriptionWhen creating a build with its description and assigned custom field none of these information is rendered on test report on build.
this information is pertinent for us since we add link to a file used at each new build so we can gather it once report generated.
Steps To Reproduce1- Create project, project1
2- Creates some TC in project1
3- Create test plan Testplan1 in Porject1 with description "This test plan is created to test the TestLink tool."
4- Create test Build Build1 in Testplan1 with description "This build is created to test the TestLink tool.
5- assign TC to Testplan1
6- generate html report on build for Build1
Additional Informationattached image1: report with build description missing
attached image2: report with build description added
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox, IE11
PHP VersionBitnami TestLink Stack 1.9.14-0
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon testReportOnBuild.PNG [^] (3,216 bytes) 2016-01-22 16:30


png file icon testReportOnBuild_modified.PNG [^] (3,938 bytes) 2016-01-22 16:35


png file icon testReportOnBuild_CustomField.PNG [^] (19,304 bytes) 2016-01-26 14:14


png file icon testReportOnBuild_CustomField_WithResult.PNG [^] (6,961 bytes) 2016-01-29 11:24


png file icon testReportOnBuild_CustomField_WithoutResult.PNG [^] (6,034 bytes) 2016-01-29 11:25


png file icon testReportOnBuild_BuildCustomField_TC1.PNG [^] (7,637 bytes) 2016-02-03 11:46


png file icon testReportOnBuild_BuildCustomField_TC2.PNG [^] (5,411 bytes) 2016-02-03 11:48

- Relationships
related to 0006033closedfman Custom Fields for Build 

-  Notes
(0024444)
fman (administrator)
2016-01-26 01:39

1) if you have changed code and fixed it please share the code

2) you have mention custom field, but no custom field is present on the example.
would you mind to clarify?
(0024446)
hmah (reporter)
2016-01-26 14:04
edited on: 2016-01-26 14:16

>> 1) if you have changed code and fixed it please share the code
no I did not change the code I have just edit report in pseudo word and added manually the missing text for the build.

>>you have mention custom field, but no custom field is present on the example.
would you mind to clarify?
I recognize it is confusing! I meant that custom field defined for test build are note rendered in "report on test build" when values are affected to them.
(see attached image just added for test build's custom field)

(0024452)
fman (administrator)
2016-01-27 03:34

1) fix for displaying Build CF also for not run test cases.
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/25619cd0097853bc09fff2f2ba7057aade4e5554 [^]
(0024471)
hmah (reporter)
2016-01-29 11:24
edited on: 2016-01-29 17:07

1) fix for displaying Build CF also for not run test cases.>>
Test feedback:
The value is rendered for Test cases "note tested" but the rendering view is not ok (see attachment "testReportOnBuild_CustomField_WithResult.PNG" and "testReportOnBuild_CustomField_WithoutResult.PNG")

(0024476)
fman (administrator)
2016-01-30 02:37

IMHO your attitude to do not create an specific test case with dummy data that will allow me to recreate same environment is causing that more effort than needed is used to try to fix this.
You have provided screenshots with text covered to protect what you consider critical data and this generates confusion.

Your description is confusing:
>> The value is rendered for Test cases "note tested" but the rendering view is not >> ok

Please remember that important thing on your side is create (alas!) a good test case, complete and detailed that can allow developer to understand with easy what is happening and how to reproduce it.

Having to continue with this ping-pong because you are trying to save as much as possible time on your side is not effective for me.
(0024490)
hmah (reporter)
2016-02-03 11:37
edited on: 2016-08-31 07:17

What I meant is that the Build's custom field layout is different if a test case was executed or not (see highlighted section in yellow of image added):
Continuing from scenario above (Steps To Reproduce) :

Test Case 1:
- add TC1 to TestPlan1
- execute Test case TC1 in Build1 of TestPlan1 as pass,
- generate report on build for Build1

>> HTML source code generated for build's CF of Test Case 1:
<tr><td width="20%" valign="top"></td><td colspan="5" ><table ><tr><td class="labelHolder" >TestBuildCustomfield</td><td >This build's custom field is created to make a test.</td></tr>

Test Case 2:
- add TC2 to TestPlan1
- leave Test case TC2 as Not Tested in Build1 of TestPlan1,
- generate report on build for Build1

>> HTML source code generated for build's CF of Test Case 2:
<tr><td width="20%" valign="top"></td><td 5><table ><tr><td class="labelHolder" >TestBuildCustomfield</td><td >This build's custom field is created to make a test.</td></tr>

Fix proposition:
Change in print.inc.php line 1563 : '<td ' .$td_colspan . '>' by '<td colspan="' . $td_colspan . '">'

Before change:

if(!is_null($buildCfields) &&
           isset($buildCfields[$build_id]) &&
          $buildCfields[$build_id] != '')
        {
          $code .= '<tr><td width="' . $cfg['firstColWidth'] . '" valign="top"></td>' .
                  '<td ' .$td_colspan . '>' . $buildCfields[$build_id] . "</td></tr>\n";
        }

After change:

if(!is_null($buildCfields) &&
           isset($buildCfields[$build_id]) &&
          $buildCfields[$build_id] != '')
        {
          $code .= '<tr><td width="' . $cfg['firstColWidth'] . '" valign="top"></td>' .
                    '<td colspan="' . $td_colspan . '">' . $buildCfields[$build_id] . "</td></tr>\n";
        }

(0024492)
fman (administrator)
2016-02-04 02:46

IMHO you have a very confusing way to report issues and your reports are no good.
This you continue to use a wrong term (value) instead of the right (layout) working on your issues will be very hard and time consuming.
(0025165)
hmah (reporter)
2016-08-31 07:21

Sorry if my reporting bothered you... I have modified my text to make it clear. please do have a look at the bottom of this report where I suggested a fix.
(0025168)
fman (administrator)
2016-09-01 13:03

It's a completely confusing and wrong practice, modify a previous note after I've added a note, this makes thing completely confusing, in line with the general confusing approach used on this ticket.
Now I've a not before my note on 2016-02-04, that has date after my note!!!
In addition after 6 months without feedback , this issue is at least from my point of view closed

- Issue History
Date Modified Username Field Change
2016-01-22 16:30 hmah New Issue
2016-01-22 16:30 hmah File Added: testReportOnBuild.PNG
2016-01-22 16:35 hmah File Added: testReportOnBuild_modified.PNG
2016-01-26 01:39 fman Note Added: 0024444
2016-01-26 01:39 fman Assigned To => fman
2016-01-26 01:39 fman Status new => feedback
2016-01-26 14:04 hmah Note Added: 0024446
2016-01-26 14:04 hmah Status feedback => assigned
2016-01-26 14:14 hmah File Added: testReportOnBuild_CustomField.PNG
2016-01-26 14:16 hmah Note Edited: 0024446 View Revisions
2016-01-27 03:32 fman Relationship added related to 0006033
2016-01-27 03:34 fman Note Added: 0024452
2016-01-28 13:16 fman Status assigned => feedback
2016-01-29 11:24 hmah Note Added: 0024471
2016-01-29 11:24 hmah Status feedback => assigned
2016-01-29 11:24 hmah File Added: testReportOnBuild_CustomField_WithResult.PNG
2016-01-29 11:25 hmah File Added: testReportOnBuild_CustomField_WithoutResult.PNG
2016-01-29 12:33 hmah Note Edited: 0024471 View Revisions
2016-01-29 17:07 hmah Note Edited: 0024471 View Revisions
2016-01-29 17:07 hmah Note Edited: 0024471 View Revisions
2016-01-30 02:37 fman Note Added: 0024476
2016-01-30 02:37 fman Status assigned => feedback
2016-02-03 11:37 hmah Note Added: 0024490
2016-02-03 11:37 hmah Status feedback => assigned
2016-02-03 11:37 hmah Note Edited: 0024490 View Revisions
2016-02-03 11:38 hmah Note Edited: 0024490 View Revisions
2016-02-03 11:46 hmah File Added: testReportOnBuild_BuildCustomField_TC1.PNG
2016-02-03 11:48 hmah File Added: testReportOnBuild_BuildCustomField_TC2.PNG
2016-02-03 14:12 hmah Note Edited: 0024490 View Revisions
2016-02-04 02:46 fman Note Added: 0024492
2016-02-04 08:31 hmah Note Edited: 0024490 View Revisions
2016-02-04 08:33 hmah Note Edited: 0024490 View Revisions
2016-02-04 09:44 hmah Note Edited: 0024490 View Revisions
2016-08-31 07:17 hmah Note Edited: 0024490 View Revisions
2016-08-31 07:21 hmah Note Added: 0025165
2016-09-01 13:03 fman Note Added: 0025168



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker